# Coupon Codes Coupon Codes ## Returns a list of records with the specified tenant_id - [GET /couponCodes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbytenantid.md): Returns a list of records with the specified tenant_id ## Creates a new coupon code record that does not already exist. - [POST /couponCodes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/createcouponcode.md): This method will auto-generate an ID and create a new coupon code. If an ID is specified for the coupon code, an error will be thrown. ## Execute Batch Operations - [POST /couponCodes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /couponCodes/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbycontactid.md): Returns a list of records with the specified contact_id ## Returns a list of records with the specified coupon_id - [GET /couponCodes/{tenantId}/coupon/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbycouponid.md): Returns a list of records with the specified coupon_id ## Returns a list of records with the specified order_id - [GET /couponCodes/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbyorderid.md): Returns a list of records with the specified order_id ## Returns a list of records with the specified organization_id - [GET /couponCodes/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbyorganizationid.md): Returns a list of records with the specified organization_id ## Sends out a preview of the email - [POST /couponCodes/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/previewemail.md): Sends out a preview of the email ## Returns a coupon code from the system by its ID. - [DELETE /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/deletecouponcode.md): This method will delete a coupon code with the specified ID. ## Returns a coupon code from the system by its ID. - [GET /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/getcouponcode.md): This method will look up a coupon code by the specified ID and return it back. ## Partially updates a coupon code with the specified ID. - [PATCH /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/patchcouponcode.md): This method will patch an existing coupon code with the specified ID, using the HTTP PATCH specification. ## Updates a coupon code with the specified ID. - [PUT /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/updatecouponcode.md): This method will update an existing coupon code with the specified ID.